var inicio=0;

function aumentar(num){

inicio = num + 15;
Cargar();
}

function disminuir(num){

  if(num>0 ){
    inicio = num - 15;
    Cargar();
  }

}

function Cargar(){
document.location.href="ingresar_faltaperso.php?pos="+inicio;
}



//----------------------------------------------------
$(document).ready(function(){

    $("#bton_insertar").click(function(){
         var parametros = {"accion":'mostrar_tabla'};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/insertar_falta_per.php",
                    type: "POST",
                success: function(opciones){
					$("#insertar").html(opciones);
				
            var mydate=new Date();
            var year=mydate.getYear();
            if (year < 1000)
            year+=1900;
            var day=mydate.getDay();
            var month=mydate.getMonth()+1;
            if (month<10)
            month="0"+month;
            var daym=mydate.getDate();
            if (daym<10)
            daym="0"+daym; 
            document.getElementById("fecha").value=daym+"/"+month+"/"+year;
            
					}})});
        
     $("#btn_buscar").click(function(){
               
         var parametros = {"accion":'tablabuscarF'};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/insertar_falta_per.php",
                    type: "POST",
                success: function(opciones){$("#insertar").html(opciones);}})});
    
    });
    
    
  
//-----------------------------------------------------
function get(id){
    return document.getElementById(id).value;
}


function Limpiar(){

    document.getElementById('codigo').value="";
    document.getElementById('nombres').value="";
    
    document.getElementById('gr_id1').value="";
    document.getElementById('gr_id2').value="";
    document.getElementById('cur_id1').value="";
    document.getElementById('cur_id2').value="";
    /*
    document.getElementById('fecha').value="";
    document.getElementById('ft_id1').value="";
    document.getElementById('ft_id2').value="";
    document.getElementById('per_id1').value="";
    document.getElementById('per_id2').value="";
    */
    
    document.getElementById('descrip').value=".";   
    document.getElementById('codigo').focus();
    
}

//--------------------------------------------------------------

function Grabar(){

var p = parametro( 'pos' );

if (p==""){
    p=0;
}


var v1=get('codigo');
var v7=get('fecha');
var v8=get('ft_id1');
var v10=get('per_id1');
var v12=get('descrip');
var nota=get('nota');

/*
alert(v1+ " - "+v2+ " - "+v3+ " - "+v4+ " - "+v5+ " - "+v6+ " - "+v7+ " - "+v8+ " - "+v9+ " - "+v10+ " - "+v11+ " - "+v12);
*/

if (v1=="") {
    alert("Digite C&oacute;digo");
    return 0;
}

if (v7=="") {
    alert("Digite Fecha");
    return 0;
}
if (v8=="") {
    alert("Digite Falta");
    return 0;
}
if (v10=="") {
    alert("Digite Periodo");
    return 0;
}



var parametros = {"accion":'grabar_perfalta',
                          "codigo" :v1,
                          "fecha" :v7,
                          "falta" :v8,
                          "periodo" :v10,
                          "descripcion" :v12,
                          "nota" :nota
                           };
        $.ajax({
                data:  parametros,
                url:"../../model/insertar_falta_per.php",
                type:  'post',
                success:function (response){
                        alert(response);
                        document.getElementById('codigo').focus();
                }
        });

}

//------------------------------------------------------------

function Actualizar(sec){

var p = parametro( 'pos' );

if (p==""){
    p=0;
}

var v1=get('codigo');
var v7=get('fecha');
var v8=get('ft_id1');
var v10=get('per_id1');
var v12=get('descrip');

//alert("Actualizar :"+v1+ " - "+v2+ " - "+v3+ " - "+v4+ " - "+v5+ " - "+v6+ " - "+v7+ " - "+v8+ " - "+v9+ " - "+v10+ " - "+v11+ " - "+v12);

if (v1=="") {
    alert("Digite C&oacute;digo");
    return 0;
}

if (v7=="") {
    alert("Digite Fecha");
    return 0;
}
if (v8=="") {
    alert("Digite Falta");
    return 0;
}
if (v10=="") {
    alert("Digite Periodo");
    return 0;
}


var parametros = {"accion":'actualizar_perfalta',
                          "codigo" :v1,
                          "fecha" :v7,
                          "falta" :v8,
                          "periodo" :v10,
                          "descripcion" :v12,
                          "sec":sec
                           };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_falta_per.php",
                type:  'post',
                success:function (response){
                        document.location.href="ingresar_faltaperso.php?pos="+p;
                        alert(response);
                }
        });

}



//---------------------------------------------------------

function ActualizarBus(sec,inicio){

var p = parametro( 'pos' );

if (p==""){
    p=0;
}

var v1=get('codigo');
var v7=get('fecha');
var v8=get('ft_id1');
var v10=get('per_id1');
var v12=get('descrip');
var nota=get('nota');

//alert("Actualizar :"+v1+ " - "+v2+ " - "+v3+ " - "+v4+ " - "+v5+ " - "+v6+ " - "+v7+ " - "+v8+ " - "+v9+ " - "+v10+ " - "+v11+ " - "+v12);

if (v1=="") {
    alert("Digite C&oacute;digo");
    return 0;
}

if (v7=="") {
    alert("Digite Fecha");
    return 0;
}
if (v8=="") {
    alert("Digite Falta");
    return 0;
}
if (v10=="") {
    alert("Digite Periodo");
    return 0;
}


var parametros = {"accion":'actualizar_perfalta',
                          "codigo" :v1,
                          "fecha" :v7,
                          "falta" :v8,
                          "periodo" :v10,
                          "descripcion" :v12,
                          "nota" :nota,
                          "sec":sec
                           };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_falta_per.php",
                type:  'post',
                success:function (response){
                        alert(response);
                        document.location.href="ingresar_busqfaltaper.php?pos="+inicio+"&codigo="+v1+"&periodo="+v10;                        
                }
        });

}




function Eliminarelebus(orden,periodo,codigo,inicio,total){
    

    if ((total>15) && (total-inicio==1)){
       inicio=inicio-15;
   }

   var parametros = {"accion":'borrar_faltaPer',"codigo" :orden};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_falta_per.php",
                type:  'post',
                success:function (response){
                        alert(response);
                        document.location.href="ingresar_busqfaltaper.php?pos="+inicio+"&codigo="+codigo+"&periodo="+periodo;
                }
        });
}




function EditarBus(codigo,inicio){

    var parametros = {"accion":'editar_faltaPerBus',"codigo" :codigo,"inicio" :inicio};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_falta_per.php",
                type:  'post',
                success: function(opciones){$("#insertar").html(opciones);

                }
        });
}


function LimpiarBus(){

    document.getElementById('per_id1').value="";
    document.getElementById('per_id2').value="";

    document.getElementById('fecha').value="";

    document.getElementById('gra_id1').value="";
    document.getElementById('gra_id2').value="";
    
    document.getElementById('cur_id1').value="";
    document.getElementById('cur_id2').value="";    

    document.getElementById('asign_id1').value="";
    document.getElementById('asign_id2').value="";

    document.getElementById('codigo').value="";
    document.getElementById('nombres').value="";
    
     document.getElementById('per_id1').focus();
    

}

var iniciob=0;

//-----------------------------

function aumentarb(num,periodo,fecha,grado,curso,asign,codigo){

alert(num);

iniciob = num + 15;
Cargarb(iniciob,periodo,fecha,grado,curso,asign,codigo);
}

//-----------------------------


function disminuirb(num,periodo,fecha,grado,curso,asign,codigo){

  if(num>0 ){
    iniciob = num - 15;
    Cargarb(iniciob,periodo,fecha,grado,curso,asign,codigo);
  }

}

//------------------------------------------


function todasfalt()
{
    document.location.href="ingresar_f.php?action=alumn_rport_falt";
}

//------------------------------------------


function Cargarb(iniciob,periodo,fecha,grado,curso,asign,codigo){


document.location.href="ingresar_busqfaltaper.php?pos="+iniciob+"&periodo="+periodo+"&fecha="+fecha+"&grado="+grado+"&curso="+curso+"&asign="+asign+"&codigo="+codigo;

}



//------------------------------------------


function Buscar(){


var p = parametro( 'pos' );

if (p==""){
    p=0;
}

var periodo=get('per_id1');
var fecha=get('fecha');
var grado=get('gra_id1');
var curso=get('cur_id1');
var asign=get('asign_id1');
var codigo=get('codigo');
 
if (periodo=="") {
    alert("SELECCIONE PERIODO");
    return 0;
} 

if (grado=="") {
    alert("SELECCIONE GRADO");
    return 0;
} 

if (curso=="") {
    alert("SELECCIONE CURSO");
    return 0;
} 

if (asign=="") {
    alert("SELECCIONE ASIGNATURA");
    return 0;
} 
  
document.location.href="ingresar_f.php?action=busq_falt_alum&periodo="+periodo+"&fecha="+fecha+"&grado="+grado+"&curso="+curso+"&asign="+asign+"&codigo="+codigo;
                                                       
}

//------------------------------------------
function Eliminar(codigo,inicio,total){
    
    if ((total>15) && (total-inicio==1)){
       inicio=inicio-15;
   }

   var parametros = {"accion":'borrar_faltaPer',"codigo" :codigo};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_falta_per.php",
                type:  'post',
                success:function (response){
                        alert(response);
                        document.location.href="ingresar_faltaperso.php?pos="+inicio;

                }
        });
        
}

//------------------------------------------------------

function comprobar_codigo(){


var id=get('codigo');

if(id!=''){
	
   var parametros = {"accion":'comp_codigo',"codigo" :id};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_tip_falta.php",
                type:  'post',
                success:function (response){
                        												
                        if(response=='na'){
                                alert('Estudiante Inactivo');

                                document.getElementById('codigo').value='';
                                
                        }else if(response=='nr'){
                                alert('Estudiante No Registrado');

                                document.getElementById('codigo').value='';
                                Limpiar1();
                                
                        }else if(response=='no_autoriado'){
                                alert('No Autorizado para valorar este Alumno');

                                document.getElementById('codigo').value='';
                                                       
                               
                        }else{

                                var elem = response.split('*');

                                document.getElementById('nombres').value=elem[0];

                                document.getElementById('gr_id1').value=elem[1];
                                document.getElementById('gr_id2').value=elem[2];

                                document.getElementById('cur_id1').value=elem[3];
                                document.getElementById('cur_id2').value=elem[4];
                        }
                        
                }
        });

}

}


//------------------------------------------
 
function comprobar_codigo1(){

var id=get('codigo');

if(id!=''){
	
   var parametros = {"accion":'comp_codigo',"codigo" :id};
        $.ajax({
                data:  parametros,
                url:"../../model/insertar_tip_falta.php",
                type:  'post',
                success:function (response){
                        												
                        if(response=='na'){
                                alert('Estudiante Inactivo');

                                document.getElementById('codigo').value='';
                                //document.getElementById('codigo').focus();
                        }else if(response=='nr'){
                                alert('Estudiante No Registrado');

                                document.getElementById('codigo').value='';
                                //document.getElementById('codigo').focus();
                        }else{

                                var elem = response.split('*');

                                document.getElementById('nombres').value=elem[0];

                                document.getElementById('gr_id1').value=elem[1];
                                document.getElementById('gr_id2').value=elem[2];

                                document.getElementById('cur_id1').value=elem[3];
                                document.getElementById('cur_id2').value=elem[4];
                        }
                        
                }
        });

}

}


//------------------------------------------

function Editar(codigo,inicio){

    var parametros = {"accion":'editar_faltaPer',"codigo" :codigo};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_falta_per.php",
                type:  'post',
                success: function(opciones){$("#insertar").html(opciones);

                }
        });
}

//-----------------------------------
function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return "";
	else
		return results[1];
}

//--------------------------------------

function retornar(){
 
   document.location.href="../../../../faltas/ingresar_f.php";

}